Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.common
Class JdkTimeZonesList

    java.lang.Object
      com.jaspersoft.jasperserver.war.common.JdkTimeZonesList

All Implemented Interfaces:
  TimeZonesList, org.springframework.beans.factory.InitializingBean

    public class JdkTimeZonesList

extends java.lang.Object
implements TimeZonesList, org.springframework.beans.factory.InitializingBean

Version:
  $Id: JdkTimeZonesList.java 10046 2007-09-13 15:06:16Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JdkTimeZonesList()`

Method Summary
`void` | `afterPropertiesSet()`
`protected StringOption` | `createOption(java.util.Locale userLocale, java.util.TimeZone tz)`
`protected java.util.List` | `createTimeZones(java.util.Locale userLocale)`
`protected java.util.TimeZone` | `findExistingDefaultTZ()`
`java.lang.String` | `getDefaultTimeZoneID()`
`protected java.util.TimeZone` | `getSystemDefault()`
`protected java.lang.String` | `getTimeZoneDescription(java.util.TimeZone timeZone, java.util.Locale userLocale)`
`java.util.List` | `getTimeZones(java.util.Locale userLocale)`
`java.util.List` | `getTimeZonesIds()`
`protected java.util.TimeZone` | `loadTimeZone(java.lang.String id)`
`void` | `setTimeZonesIds(java.util.List timeZonesIds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdkTimeZonesList

    public JdkTimeZonesList()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### getTimeZones

    public java.util.List getTimeZones(java.util.Locale userLocale)

  Specified by:
    `getTimeZones` in interface `TimeZonesList`

### createTimeZones

    protected java.util.List createTimeZones(java.util.Locale userLocale)

### loadTimeZone

    protected java.util.TimeZone loadTimeZone(java.lang.String id)

### getDefaultTimeZoneID

    public java.lang.String getDefaultTimeZoneID()

  Specified by:
    `getDefaultTimeZoneID` in interface `TimeZonesList`

### findExistingDefaultTZ

    protected java.util.TimeZone findExistingDefaultTZ()

### getSystemDefault

    protected java.util.TimeZone getSystemDefault()

### createOption

    protected StringOption createOption(java.util.Locale userLocale,
                                        java.util.TimeZone tz)

### getTimeZoneDescription

    protected java.lang.String getTimeZoneDescription(java.util.TimeZone timeZone,
                                                      java.util.Locale userLocale)

### getTimeZonesIds

    public java.util.List getTimeZonesIds()

### setTimeZonesIds

    public void setTimeZonesIds(java.util.List timeZonesIds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.